Subject: Re: [PATCH gnome-team v3 3/7] gnu: gnome-shell-extension-noannoyance: Switch to fork.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 20 Jan 2024 11:11:38 +0100

Am Samstag, dem 20.01.2024 um 10:06 +0100 schrieb Vivien Kraus:
> Hello!
> 
> Le samedi 20 janvier 2024 à 01:40 +0100, Liliana Marie Prikler a
> écrit :
> > >  (define-public gnome-shell-extension-noannoyance
> > >    (let ((revision "1")
> > > -        (commit "b759d10fd2799bc084007fdd927b62637c3dbd2c"))
> > > +        (commit "5e9e6a1878d2a1d961f5d59505f15339c5b7e17e"))
> > Remember to bump the revision.
> > >      (package
> > > +      ;; This is the “fork” version:
> > > +      ;;
> > > https://extensions.gnome.org/extension/6109/noannoyance-fork/
> > The comment here is not great.  What does "This is the fork
> > version"
> > mean when standing alone?  To me, it means absolutely nothing,
> > despite
> > knowing the context behind.
> > 
> > Maybe explain "While the original version at <first link> is not
> > updated to current gnome, this fork <fork link> supports newer
> > versions." or something like that.
> 
> The situation is not very easy to explain. I discovered that our
> commit is 6 ahead of the commit published as version 17 for
> NoAnnoyance v2.
> I don’t really want to know how it relates to “NoAnnoyance” the
> original extension, because it has been forked around 2017 between
> f21d09a (“change to GPL v2 license”) and 866084e (“Rewrite”), which
> may be something like version 4 in extensions.gnome.org.
> 
> In any case, since we are continuing the version number scheme of
> NoAnnoyance v2, this is version 17-6. I tried to explain this as
> quickly as possible, what do you think?
LGTM, but you might also want to explain that we're counting commits
since the common fork (maybe it's easier to swap commit and revision in
the let).

Cheers